Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.server.rpc
Class SerializationPolicyLoader

    java.lang.Object
      com.google.gwt.user.server.rpc.SerializationPolicyLoader

    public final class SerializationPolicyLoader

extends java.lang.Object

API for loading a `SerializationPolicy`.

Field Summary
`static java.lang.String` | `SERIALIZATION_POLICY_FILE_ENCODING` Default encoding for serialization policy files.

Method Summary
`static java.lang.String` | `getSerializationPolicyFileName(java.lang.String serializationPolicyStrongName)` Returns the serialization policy file name from the from the serialization policy strong name.
`static SerializationPolicy` | `loadFromStream(java.io.InputStream inputStream)` Loads a SerializationPolicy from an input stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERIALIZATION_POLICY_FILE_ENCODING

    public static final java.lang.String SERIALIZATION_POLICY_FILE_ENCODING

  Default encoding for serialization policy files.

  See Also:
    Constant Field Values

Method Detail

### getSerializationPolicyFileName

    public static java.lang.String getSerializationPolicyFileName(java.lang.String serializationPolicyStrongName)

  Returns the serialization policy file name from the from the serialization policy strong name.

  Parameters:
    `serializationPolicyStrongName` - the serialization policy strong name
  Returns:
    the serialization policy file name from the from the serialization policy strong name

### loadFromStream

    public static SerializationPolicy loadFromStream(java.io.InputStream inputStream)
                                              throws java.io.IOException,
                                                     java.text.ParseException,
                                                     java.lang.ClassNotFoundException

  Loads a SerializationPolicy from an input stream.

  Parameters:
    `inputStream` - stream to load from
  Returns:
    a `SerializationPolicy` loaded from the input stream
  Throws:
    `java.io.IOException` - if an error occurs while reading the stream
    `java.text.ParseException` - if the input stream is not properly formatted
    `java.lang.ClassNotFoundException` - if a class specified in the serialization policy cannot be loaded

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD